xine-lib: mpeg2_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
mpeg2_decoder_s Struct Reference

`#include <mpeg2_internal.h>`

## Data Fields
uint32_t | bitstream_buf
int | bitstream_bits
const uint8_t * | bitstream_ptr
uint8_t * | dest [3]
int | offset
int | stride
int | uv_stride
int | slice_stride
int | slice_uv_stride
int | stride_frame
unsigned int | limit_x
unsigned int | limit_y_16
unsigned int | limit_y_8
unsigned int | limit_y
motion_t | b_motion
motion_t | f_motion
motion_parser_t * | motion_parser [5]
int16_t | dc_dct_pred [3]
int16_t | DCTblock [64]
uint8_t * | picture_dest [3]
void(* | convert )(void *convert_id, uint8_t *const *src, unsigned int v_offset)
void * | convert_id
int | dmv_offset
unsigned int | v_offset
uint16_t * | quantizer_matrix [4]
uint16_t(*[2] | chroma_quantizer )[64]
uint16_t | quantizer_prescale [4][32][64]
int | width
int | height
int | vertical_position_extension
int | chroma_format
int | coding_type
int | intra_dc_precision
int | picture_structure
int | frame_pred_frame_dct
int | concealment_motion_vectors
int | intra_vlc_format
int | top_field_first
const uint8_t * | scan
int | second_field
int | mpeg1

## Field Documentation

## ◆ b_motion

motion_t mpeg2_decoder_s::b_motion

Referenced by mpeg2_header_picture(), mpeg2_init_fbuf(), mpeg2_slice(), picture_coding_ext(), and slice_init().

## ◆ bitstream_bits

int mpeg2_decoder_s::bitstream_bits

Referenced by bitstream_init(), get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), and get_non_intra_block().

## ◆ bitstream_buf

uint32_t mpeg2_decoder_s::bitstream_buf

Referenced by bitstream_init(), get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), and get_non_intra_block().

## ◆ bitstream_ptr

const uint8_t* mpeg2_decoder_s::bitstream_ptr

Referenced by bitstream_init(), get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), and get_non_intra_block().

## ◆ chroma_format

int mpeg2_decoder_s::chroma_format

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_sequence_finalize(), mpeg2_init_fbuf(), mpeg2_slice(), and slice_init().

## ◆ chroma_quantizer

uint16_t(* [2] mpeg2_decoder_s::chroma_quantizer)[64]

Referenced by finalize_matrix(), get_quantizer_scale(), and mpeg2_header_slice_start().

## ◆ coding_type

int mpeg2_decoder_s::coding_type

Referenced by get_macroblock_modes(), mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_header_slice_start(), mpeg2_header_state_init(), mpeg2_init_fbuf(), mpeg2_set_buf(), mpeg2_slice(), slice_init(), and slice_intra_DCT().

## ◆ concealment_motion_vectors

int mpeg2_decoder_s::concealment_motion_vectors

Referenced by mpeg2_header_picture(), mpeg2_slice(), and picture_coding_ext().

## ◆ convert

void(* mpeg2_decoder_s::convert) (void *convert_id, uint8_t *const *src, unsigned int v_offset)

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_state_init(), and slice_init().

## ◆ convert_id

void* mpeg2_decoder_s::convert_id

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_slice_start(), and mpeg2_header_state_init().

## ◆ dc_dct_pred

int16_t mpeg2_decoder_s::dc_dct_pred[3]

Referenced by mpeg2_slice(), slice_init(), and slice_intra_DCT().

## ◆ DCTblock

int16_t mpeg2_decoder_s::DCTblock[64]

Referenced by get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), mpeg2_init(), slice_intra_DCT(), and slice_non_intra_DCT().

## ◆ dest

uint8_t* mpeg2_decoder_s::dest[3]

Referenced by mpeg2_slice(), and slice_init().

## ◆ dmv_offset

int mpeg2_decoder_s::dmv_offset

Referenced by mpeg2_init_fbuf().

## ◆ f_motion

motion_t mpeg2_decoder_s::f_motion

Referenced by motion_fi_conceal(), mpeg2_header_picture(), mpeg2_init_fbuf(), mpeg2_slice(), picture_coding_ext(), and slice_init().

## ◆ frame_pred_frame_dct

int mpeg2_decoder_s::frame_pred_frame_dct

Referenced by get_macroblock_modes(), mpeg2_header_picture(), and picture_coding_ext().

## ◆ height

int mpeg2_decoder_s::height

Referenced by mpeg2_header_sequence_finalize(), and mpeg2_init_fbuf().

## ◆ intra_dc_precision

int mpeg2_decoder_s::intra_dc_precision

Referenced by get_chroma_dc_dct_diff(), get_luma_dc_dct_diff(), mpeg2_header_picture(), and picture_coding_ext().

## ◆ intra_vlc_format

int mpeg2_decoder_s::intra_vlc_format

Referenced by picture_coding_ext(), and slice_intra_DCT().

## ◆ limit_x

unsigned int mpeg2_decoder_s::limit_x

Referenced by mpeg2_init_fbuf().

## ◆ limit_y

unsigned int mpeg2_decoder_s::limit_y

Referenced by mpeg2_init_fbuf(), and slice_init().

## ◆ limit_y_16

unsigned int mpeg2_decoder_s::limit_y_16

Referenced by mpeg2_init_fbuf().

## ◆ limit_y_8

unsigned int mpeg2_decoder_s::limit_y_8

Referenced by mpeg2_init_fbuf().

## ◆ motion_parser

motion_parser_t* mpeg2_decoder_s::motion_parser[5]

Referenced by mpeg2_init_fbuf(), and mpeg2_slice().

## ◆ mpeg1

int mpeg2_decoder_s::mpeg1

Referenced by mpeg2_header_sequence_finalize(), mpeg2_init_fbuf(), slice_intra_DCT(), and slice_non_intra_DCT().

## ◆ offset

int mpeg2_decoder_s::offset

Referenced by mpeg2_slice(), and slice_init().

## ◆ picture_dest

uint8_t* mpeg2_decoder_s::picture_dest[3]

Referenced by mpeg2_init_fbuf(), and slice_init().

## ◆ picture_structure

int mpeg2_decoder_s::picture_structure

Referenced by get_macroblock_modes(), mpeg2_header_picture(), mpeg2_init_fbuf(), mpeg2_slice(), and picture_coding_ext().

## ◆ quantizer_matrix

uint16_t* mpeg2_decoder_s::quantizer_matrix[4]

Referenced by get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_quantizer_scale(), slice_intra_DCT(), and slice_non_intra_DCT().

## ◆ quantizer_prescale

uint16_t mpeg2_decoder_s::quantizer_prescale[4][32][64]

Referenced by finalize_matrix(), get_quantizer_scale(), mpeg2_header_slice_start(), and prescale().

## ◆ scan

const uint8_t* mpeg2_decoder_s::scan

Referenced by get_intra_block_B14(), get_intra_block_B15(), get_mpeg1_intra_block(), get_mpeg1_non_intra_block(), get_non_intra_block(), mpeg2_header_picture(), and picture_coding_ext().

## ◆ second_field

int mpeg2_decoder_s::second_field

Referenced by mpeg2_header_picture_finalize(), and mpeg2_init_fbuf().

## ◆ slice_stride

int mpeg2_decoder_s::slice_stride

Referenced by mpeg2_init_fbuf(), and slice_init().

## ◆ slice_uv_stride

int mpeg2_decoder_s::slice_uv_stride

Referenced by mpeg2_init_fbuf(), and slice_init().

## ◆ stride

int mpeg2_decoder_s::stride

Referenced by mpeg2_init_fbuf(), and mpeg2_slice().

## ◆ stride_frame

int mpeg2_decoder_s::stride_frame

Referenced by mpeg2_header_picture_finalize(), mpeg2_header_sequence_finalize(), mpeg2_init_fbuf(), and mpeg2_stride().

## ◆ top_field_first

int mpeg2_decoder_s::top_field_first

Referenced by picture_coding_ext().

## ◆ uv_stride

int mpeg2_decoder_s::uv_stride

Referenced by mpeg2_init_fbuf(), and mpeg2_slice().

## ◆ v_offset

unsigned int mpeg2_decoder_s::v_offset

Referenced by slice_init().

## ◆ vertical_position_extension

int mpeg2_decoder_s::vertical_position_extension

Referenced by mpeg2_header_sequence_finalize(), and slice_init().

## ◆ width

int mpeg2_decoder_s::width

Referenced by mpeg2_header_sequence_finalize(), mpeg2_init_fbuf(), and slice_init().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_dec/libmpeg2new/libmpeg2/mpeg2_internal.h